Name:          protobuf
Version:       3.15.8
Release:       1mamba
Summary:       A way of encoding structured data in an efficient yet extensible format
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           https://code.google.com/p/protobuf/
Source:        https://github.com/google/protobuf.git/v%{version}/protobuf-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: python3
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Protocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
Protocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      protobuf-devel
Obsoletes:     protobuf-devel

%description -n lib%{name}-devel
This package contains static libraries and header files needed for development of Protocol Buffer

%package -n python-%{name}
Summary:       Python bindings for %{name}
Group:         System/Libraries/Python
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package contains the python bindings to %{protobuf} library.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure

%make \
%ifarch arm
LDFLAGS="-latomic"
%endif

cd python
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

cd python
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/protoc

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libprotobuf*.so.*
%{_libdir}/libprotoc.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/google/protobuf
%{_includedir}/google/protobuf/*
%{_libdir}/libprotobuf*.a
%{_libdir}/libprotobuf*.la
%{_libdir}/libprotobuf*.so
%{_libdir}/libprotoc.a
%{_libdir}/libprotoc.la
%{_libdir}/libprotoc.so
%{_libdir}/pkgconfig/protobuf*.pc

%files -n python-%{name} -f python/%{name}.filelist
%defattr(-,root,root)

%changelog
* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 3.15.8-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 3.15.7-1mamba
- automatic version update by autodist

* Fri Mar 12 2021 Automatic Build System <autodist@mambasoft.it> 3.15.6-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 3.15.5-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 3.15.4-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 3.15.3-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 3.15.2-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.15.1-1mamba
- automatic version update by autodist

* Sun Jan 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.4-2mamba
- added python subpackage

* Thu Aug 06 2020 Automatic Build System <autodist@mambasoft.it> 3.12.4-1mamba
- automatic version update by autodist

* Wed Jul 01 2020 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Mar 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11.4-2mamba
- rebuilt with debug package

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 3.11.4-1mamba
- automatic version update by autodist

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 3.11.3-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 3.11.2-1mamba
- automatic version update by autodist

* Sat Dec 28 2019 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Mon Oct 28 2019 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Sat Jan 05 2019 Automatic Build System <autodist@mambasoft.it> 3.6.1.3-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-1mamba
- update to 3.6.1

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 3.6.0.1-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Sun Jan 07 2018 Automatic Build System <autodist@mambasoft.it> 3.5.1.1-1mamba
- automatic version update by autodist

* Tue Jan 02 2018 Automatic Build System <autodist@mambasoft.it> 3.5.0.1-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- update to 3.1.0

* Wed Dec 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- rebuilt with gcc 5.3.0

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- specfile fixes

* Fri Jan 29 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.3.0-1mamba
- package created by autospec
